<?php
 // ini_set('display_errors',1);
session_start();
require_once ("../../config/Cado.php");
require_once("../producto/cPresentacion.php");
$oPresentacion = new cPresentacion();
require_once ("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();
require_once("../formatos/formato.php");
require_once("../egreso/cEgreso.php");
$oEgreso = new cEgreso();
require_once ("cCompra.php");
$oCompra = new cCompra();
require_once ("../compra/cComprapago.php");
$oComprapago = new cComprapago();
require_once("../stock/cStock.php");
$oStock = new cStock();
require_once("../kardex/cKardex.php");
$oKardex = new cKardex();
	
$dts= $oCompra->mostrarUno($_POST['com_id']);
$dt = mysqli_fetch_array($dts);
	$fec	=mostrarFecha($dt['tb_compra_fec']);
	$doc_id	=$dt['tb_documento_id'];
	$numdoc	=$dt['tb_compra_numdoc'];
	$pro_id	=$dt['tb_proveedor_id'];
	$subtot	=$dt['tb_compra_subtot'];
	$des	=$dt['tb_compra_des'];
	$descal	=$dt['tb_compra_descal'];
	$fle	=$dt['tb_compra_fle'];
	$tipfle	=$dt['tb_compra_tipfle'];
	$ajupos	=$dt['tb_compra_ajupos'];
	$ajuneg	=$dt['tb_compra_ajuneg'];
	$valven	=$dt['tb_compra_valven'];
	$igv	=$dt['tb_compra_igv'];
	$tot	=$dt['tb_compra_tot'];
	$alm_id	=$dt['tb_almacen_id'];
	$est	=$dt['tb_compra_xac'];
mysqli_free_result($dts);
$dtc1 = $oComprapago->filtrar($_POST['com_id']);
while($dtc = mysqli_fetch_array($dtc1))
{	$compag_id = $dtc['tb_comprapago_id'];
	
	$mod_id = 4;
	
	$rws1=$oEgreso->mostrar_por_modulo($mod_id,$compag_id,$estado);
    while($rw1 = mysqli_fetch_array($rws1))
    {
		$oEgreso->modificar_campo($rw1['tb_egreso_id'],$_SESSION['usuario_id'],'xac','0');
		$det = $rw1['tb_egreso_det'];
		
		$det2 = $det.' | SUMA DE GASTOS';
		$oEgreso->modificar_campodetalle($det2,$_SESSION['usuario_id'],'xac','0');
      
    }
	
}
if($est!=0)
{
$almacen=$alm_id;
$dts1=$oCompra->mostrar_compra_detalle($_POST['com_id']);
$num_rows= mysqli_num_rows($dts1);
if($num_rows>=1)
{
	while($dt1 = mysqli_fetch_array($dts1))
	{	
		$cat_id =$dt1['tb_catalogo_id'];
		$mar_id =$dt1['tb_marca_id'];
		$cantidad =$dt1['tb_compradetalle_can'];
		$dt1['tb_unidad_nom'];
		$dt1['tb_unidad_abr'];	
		
		$dtscat=$oCatalogo->mostrarUno($cat_id,$mar_id);
		$dtcat = mysqli_fetch_array($dtscat);
				$pre_id	= $dtcat['tb_presentacion_id'];
			mysqli_free_result($dtscat);
		
		$dts=$oStock->stock_por_presentacion($pre_id,$mar_id,$almacen);
		$dt = mysqli_fetch_array($dts);
			$sto_id		=$dt['tb_stock_id'];
			$sto_num	=$dt['tb_stock_num'];
		mysqli_free_result($dts);
			
		$stock_nuevo=$sto_num-$cantidad;
	
		$oStock->modificar($sto_id,$stock_nuevo);
		
	}
}
mysqli_free_result($dts1);
	$oCompra->modificar_campo($_POST['com_id'],'xac','0');
	
	$dts= $oKardex->consulta_eliminar(1,1,$doc_id,4,$_POST['com_id']);
	while($dt = mysqli_fetch_array($dts)){
			$kar_id	=$dt['tb_kardex_id'];
		
			if($kar_id>0)
		{
		$oKardex->modificar_campo($kar_id,'xac','0');
		$msj_n='';
		}
		else
		{
			$msj_n='No se pudo eliminar Kardex.';
		}
		
	}
	
	mysqli_free_result($dts);
	
	//$oEgreso->anular_egreso_compra($_POST['com_id']);
	
	$data['act']='correcto';
	$data['msj'].='Se anuló compra correctamente. '.$msj_n;
	echo json_encode($data);
}
else
{
	$data['msj'].='Compra ya ha sido anulada.';
	echo json_encode($data);
}
?>